#ifndef INPUTREGISTER_H
#define INPUTREGISTER_H

#include "console\Environment.h"

namespace InputSpace
{
	void registerInputCAL( Environment &env );	/**<registrer CAL file issues into Environment*/
	void registerInputDTIT( Environment &env );	/**<register Direct to indirect transform issues into Environment*/
	void registerUi( Environment &env );		/**<register Kodiak DTIT GUI issues into Environment*/
	void registerFrustrum(  Environment &env );	/**<register OpenGL frustrum issues into Environment*/
	void registerGameData(  Environment &env );	/**<register Soft proj dame data issues into Environment */

	void registerALL( Environment &env );		/**<register all previous issues into Environment */

	string getResourcePath( const string &envPath );
}

#endif